package com.example.skychasemk.dto;

import java.time.LocalDate;

public class NotificationDTO {

    private Integer notificationID;
    private Integer userID;
    private String message;
    private Type type;
    private LocalDate dateSent;

    public enum Type {
        BOOKING_CONFIRMATION,
        FLIGHT_DELAY,
        GENERAL_UPDATE
    }

    // Getters and Setters
    public Integer getNotificationID() {
        return notificationID;
    }

    public void setNotificationID(Integer notificationID) {
        this.notificationID = notificationID;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Type getType() {
        return type;
    }

    public void setType(Type type) {
        this.type = type;
    }

    public LocalDate getDateSent() {
        return dateSent;
    }

    public void setDateSent(LocalDate dateSent) {
        this.dateSent = dateSent;
    }
}
